<?php  

define('ROOT_DIR', __DIR__);

$token = '555446138:AAHsMS7z366Z0-tcD1pCsoy9ZQiZIYd4CI8';

require_once(ROOT_DIR . '/Telegram.class.php');

$telegram  = new Telegram($token);

$telegram->pathTemplate(ROOT_DIR . '/message.tpl');
$telegram->pathKeyboard(ROOT_DIR . '/keyboard.json');

switch ($telegram->typeMessage()) {
	case 'message':
		switch ($telegram->text()) {
			case 'Тестовая кнопка 1':
				$telegram->sendMessage($telegram->chatID(), $telegram->showTemplate('test_button1'));
				break;
			case 'Тестовая кнопка 2':
				$telegram->sendMessage($telegram->chatID(), $telegram->showTemplate('test_button2'));
				break;
			case 'Тестовая кнопка 3':
				$telegram->sendMessage($telegram->chatID(), $telegram->showTemplate('test_button3'));
				break;
			
			default:
				# code...
				break;
		}
		break;
	case 'entities_message':
		foreach($telegram->entities() as $valueEntities) {
			if ($valueEntities['type'] == 'bot_command') {
				switch ($valueEntities['data']) {
					case '/start':
					case '/help':
						$telegram->sendMessage($telegram->chatID(), $telegram->showTemplate('start'));
						break;
					case '/account_info':
						$telegram->tagTemplate('{first_name}', !empty($telegram->firstName()) ? $telegram->firstName() : '-');
						$telegram->tagTemplate('{last_name}', !empty($telegram->lastName()) ? $telegram->lastName() : '-');
						$telegram->tagTemplate('{username}', !empty($telegram->username()) ? $telegram->username() : '-');
						$telegram->tagTemplate('{language_code}', $telegram->languageCode());
						$telegram->tagTemplate('{date}', date('H:i:s d/m/Y', $telegram->date()));
						$telegram->sendMessage($telegram->chatID(), $telegram->showTemplate('account_info'));
						break;
					case '/keyboard':
						$telegram->sendMessage($telegram->chatID(), $telegram->showTemplate('keyboard'), $telegram->Keyboard($telegram->setKeyboard('keyboard')));
						break;
					case '/remove_keyboard':
						$telegram->sendMessage($telegram->chatID(), $telegram->showTemplate('remove_keyboard'), $telegram->removeKeyboard());
						break;
					case '/inline_keyboard':
						$telegram->sendMessage($telegram->chatID(), $telegram->showTemplate('inline_keyboard'), $telegram->inlineKeyboard($telegram->setKeyboard('inline_keyboard')));
						break;
					
					default:
						# code...
						break;
				}
			}
		}
		break;
	case 'callback_query':
		switch ($telegram->callbackData()) {
			case 'inline1':
				$telegram->sendAnswer($telegram->callbackID(), $telegram->showTemplate('test_button1'));
				break;
			case 'inline2':
				$telegram->sendAnswer($telegram->callbackID(), $telegram->showTemplate('test_button2'));
				break;
			case 'inline3':
				$telegram->sendAnswer($telegram->callbackID(), $telegram->showTemplate('test_button3'));
				break;
			case 'inline_del':
				$telegram->deleteMessage($telegram->chatID(), $telegram->messageID());
				$telegram->sendAnswer($telegram->callbackID(), $telegram->showTemplate('inline_keyboard_del'));
				break;
			
			default:
				# code...
				break;
		}
		break;
	
	default:
		# code...
		break;
}

?>